<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto"
  xmlns:miuisettings="http://schemas.android.com/apk/miuisettings">
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_date_time" android:title="@string/date_and_time_settings_title" android:key="date_time_settings" android:fragment="com.android.settings.DateTimeSettings" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_language_input" android:title="@string/language_settings" android:key="language_settings" android:fragment="com.android.settings.language.MiuiLanguageAndInputSettings" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.ValuePreference android:icon="@drawable/ic_set_locale" android:title="@string/locale_settings" android:key="locale_settings" android:fragment="com.android.settings.locale.MiuiLocaleSettings" app:controller="com.android.settings.personal.LocaleController" />
    <PreferenceCategory />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_infinity_display" android:title="@string/infinity_display_title" android:key="infinity_display" android:fragment="com.android.settings.FullScreenDisplaySettings" app:controller="com.android.settings.personal.FullScreenDisplayController" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_force_touch" android:title="@string/edge_mode_state_title" android:key="edge_settings" app:controller="com.android.settings.personal.EdgeController" miuisettings:showIcon="true">
        <intent android:targetPackage="com.android.settings" android:action="android.intent.action.MAIN" android:targetClass="com.android.settings.Settings$EdgeSettingsActivity" />
    </com.android.settingslib.miuisettings.preference.Preference>
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_buttons_keys" android:title="@string/gesture_settings_title" android:key="gesture_shortcut_settings" android:fragment="com.android.settings.GestureShortcutSettingsFragment" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_buttons_keys" android:title="@string/key_shortcut_settings_title" android:key="key_shortcut_settings" android:fragment="com.android.settings.KeySettings" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_led_indicator" android:title="@string/led_settings" android:key="led_settings" android:fragment="com.android.settings.LedSettings" app:controller="com.android.settings.personal.LedController" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_touch_assistant" android:title="@string/touch_assistant" android:key="touch_assistant" app:controller="com.android.settings.personal.TouchAssistantController" miuisettings:showIcon="true">
        <intent android:targetPackage="com.miui.touchassistant" android:action="miui.intent.action.TOUCH_ASSISTANT_SETTINGS" />
    </com.android.settingslib.miuisettings.preference.Preference>
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_one_handed_mode" android:title="@string/handy_mode" android:key="handy_mode_settings" android:fragment="com.android.settings.display.HandyModeFragment" app:controller="com.android.settings.personal.HandyModeController" miuisettings:showIcon="true" />
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_speaker_clean" android:title="@string/speaker_clean" android:key="speaker_settings" app:controller="com.android.settings.personal.SpeakerSettingsController" miuisettings:showIcon="true">
        <intent android:action="android.settings.SPEAKER_SETTINGS" />
    </com.android.settingslib.miuisettings.preference.Preference>
    <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_special_abilities" android:title="@string/accessibility_settings" android:key="accessibility_settings" miuisettings:showIcon="true">
        <intent android:targetPackage="com.android.settings" android:targetClass="com.android.settings.accessibility.MiuiAccessibilitySettingsActivity" />
    </com.android.settingslib.miuisettings.preference.Preference>
    <com.android.settingslib.miuisettings.preference.Preference android:title="@string/beauty_camera" android:key="beauty_camera" android:fragment="com.android.settings.personal.BeautyCameraSettings" app:controller="com.android.settings.personal.BeautyCameraController" miuisettings:showIcon="true" />
    <PreferenceCategory android:key="development_settings_category" app:controller="com.android.settings.MiuiBaseCategoryController">
        <XMiuiHidePreference>
            <com.android.settingslib.miuisettings.preference.Preference android:icon="@drawable/ic_set_developers" android:title="@string/development_settings_title" android:key="development_settings" android:fragment="com.android.settings.development.DevelopmentSettingsDashboardFragment" app:controller="com.android.settings.personal.DevelopmentSettingsController" miuisettings:showIcon="true" />
        </XMiuiHidePreference>
        <com.android.settingslib.miuisettings.preference.ValuePreference android:icon="@drawable/ic_set_otg" android:title="@string/otg_settings" android:key="otg_settings" android:fragment="com.android.settings.OtgSettings" app:controller="com.android.settings.personal.OtgSettingsController" miuisettings:showIcon="true" />
    </PreferenceCategory>
</PreferenceScreen>
